package com.factory.wx.mapper;

import com.factory.wx.entity.res.PlanApprovalRes;
import com.factory.wx.entity.res.PlanApprovalTaskRes;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * @author sMArT
 * @version 1.0
 * @date 2021-07-13 12:43 下午
 */
@Mapper
public interface PlanMapper {
    /**
     * 获取待审批计划列表
     *
     * @param userId
     * @return
     */
    List<PlanApprovalRes> getApprovalList(Long userId);

    /**
     * 获取待审批任务列表
     *
     * @param userId
     * @return
     */
    List<PlanApprovalTaskRes> getApprovalTaskList(Long userId);

}
