package com.factory.web.entity.fa.req;

import java.util.List;

import com.fasterxml.jackson.annotation.JsonInclude;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 添加巡检项目检查结果
 *
 * @author wzy
 * @date 2021-07-09 12:00:00
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@JsonInclude()
@ApiModel("")
public class AddFaItemResultListReq {
	
//	@ApiModelProperty(value = "任务id")
//	private Long firstArticleTaskId;
	
	@ApiModelProperty(value = "计划id")
	private Long bentelerPlanId;
	
	@ApiModelProperty(value = "0表示首件 1表示200件 2表示中断")
	private Integer typeFlag;
	
	@ApiModelProperty(value = "点检人对应的用户ID")
	private Long userId;
	
	@ApiModelProperty(value = "巡检项目检查结果")
	private List<AddFaItemResultReq> addFaItemResultList;

}
